[Piuparts-commits] rev 406 - in piatti/home/piupartsm: . bin

Holger Levsen holger at alioth.debian.org
Mon May 11 17:56:44 UTC 2009


Author: holger
Date: 2009-05-11 17:56:44 +0000 (Mon, 11 May 2009)
New Revision: 406

Added:
   piatti/home/piupartsm/bin/detect_well_known_issues
Modified:
   piatti/home/piupartsm/bin/detect_well_known_errors
   piatti/home/piupartsm/crontab
Log:
also report issues in packages which passed the piuparts test, but only once per week

Modified: piatti/home/piupartsm/bin/detect_well_known_errors
===================================================================
--- piatti/home/piupartsm/bin/detect_well_known_errors	2009-05-11 14:53:50 UTC (rev 405)
+++ piatti/home/piupartsm/bin/detect_well_known_errors	2009-05-11 17:56:44 UTC (rev 406)
@@ -105,7 +105,7 @@
 	echo "Packages with failed logs with the string 'command not found' in them."
 	echo "WARNING: it has not been verified that this error really caused the package to"
 	echo "fail the piuparts test."
-	echo "In fact, there are also successful logs with 'command not found' in them..."
+	echo "In fact, there are also successful logs with 'command not found' in them."
 	echo 
 	echo "From the third paragraph about the meaning of the depends field in"
 	echo "http://www.debian.org/doc/debian-policy/ch-relationships.html#s-binarydeps"

Copied: piatti/home/piupartsm/bin/detect_well_known_issues (from rev 405, piatti/home/piupartsm/bin/detect_well_known_errors)
===================================================================
--- piatti/home/piupartsm/bin/detect_well_known_issues	                        (rev 0)
+++ piatti/home/piupartsm/bin/detect_well_known_issues	2009-05-11 17:56:44 UTC (rev 406)
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Copyright 2009 Holger Levsen (holger at layer-acht.org)
+# 
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+# 
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+
+#
+# parse config file
+#
+
+TEMPFILE=`mktemp`
+egrep "(^sections|^master-directory)" /etc/piuparts/piuparts.conf| sed -e "s# =#=#g" -e "s#= #=#g" -e 's#=#="#' -e 's#$#"#' -e "s#sections#SECTIONS#" -e "s#master-directory#MASTER#" > $TEMPFILE
+source $TEMPFILE
+rm $TEMPFILE
+if [ -z $MASTER ] || [ -z $SECTIONS ] ; then
+	echo "sections and/or master-directory not set in /etc/piuparts/piuparts.conf, exiting."
+	exit 1
+fi
+
+#
+# detect packages with miss a depends or use non-essential in purge
+#
+
+LOGS=`mktemp`
+for SECTION in $SECTIONS ; do 
+	rgrep "command not found" $MASTER/$SECTION/pass|cut -d " " -f1|sed -e "s#log:#log#"|sort -u 2>/dev/null >> $LOGS
+done
+if [ -s $LOGS ] ; then 
+	echo 
+	echo "Packages which passed the piuparts test but have logs with the string"
+	echo "'command not found' in them."
+	echo 
+	echo "From the third paragraph about the meaning of the depends field in"
+	echo "http://www.debian.org/doc/debian-policy/ch-relationships.html#s-binarydeps"
+	echo
+	echo "The Depends field should also be used if the postinst, prerm or postrm scripts"
+	echo "require the package to be present in order to run. __Note, however, that the"
+	echo "postrm cannot rely on any non-essential packages to be present during the"
+	echo "purge phase__."
+	echo 
+	echo "Please file bugs!"
+	echo 
+        for SECTION in $SECTIONS ; do 
+		COUNT=$(grep "/$SECTION/" $LOGS | cut -d "_" -f1|sort -u|wc -l)
+		echo "Affected packages in $SECTION: " $COUNT
+        done
+	echo
+	cat $LOGS | sed -e "s#$MASTER#http://piuparts.debian.org/#g" 
+	echo
+fi
+rm $LOGS
+


Property changes on: piatti/home/piupartsm/bin/detect_well_known_issues
___________________________________________________________________
Added: svn:executable
   + *
Added: svn:mergeinfo
   + 

Modified: piatti/home/piupartsm/crontab
===================================================================
--- piatti/home/piupartsm/crontab	2009-05-11 14:53:50 UTC (rev 405)
+++ piatti/home/piupartsm/crontab	2009-05-11 17:56:44 UTC (rev 406)
@@ -23,6 +23,7 @@
 #
 # monitor for problems once a day
 #
+0  22 * * 0 /home/piupartsm/bin/detect_well_known_issues
 45 22 * * * /home/piupartsm/bin/detect_stale_mounts
 50 22 * * * /home/piupartsm/bin/detect_tmp_cruft
 55 22 * * * /home/piupartsm/bin/detect_network_issues




More information about the Piuparts-commits mailing list